#include <bits/stdc++.h>

using namespace std;

int main()
{
    int arr[] = {1, 2, 3, 4, 5, 9}; // 静态数组
    // vector<int> v1(arr, arr + 5);          // 动态数组，通过静态数组初始化
    // vector<int> v1(arr, arr + sizeof(arr) / sizeof(arr[0])); // 动态数组，通过静态数组初始化

    // 使用 assign 方法初始化
    vector<int> v1;
    v1.assign(arr, arr + sizeof(arr) / sizeof(arr[0]));

    vector<int>::iterator it = v1.begin(); // 迭代器
    while (it != v1.end())
    {
        cout << *it << " ";
        it++;
    }

    return 0;
}
